n = int(input())
c = list(map(int, input().split()))
d = {}
for i in c:
    d[i] = d.get(i, 0) + 1
c = sorted(list(d))
vid = 0
delta = 0
while c[-1] > delta:
    vid += (c[-1] - delta) * d.get(c[-1])
    delta += d.get(c[-1])
    del c[-1]
print(vid)